%define fw_version 5.41

Summary:	KDE Frameworks 5 global workspace shortcuts module
Name:		kglobalaccel
Version:	5.41.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5config-devel >= %{fw_version}
BuildRequires:	kf5coreaddons-devel >= %{fw_version}
BuildRequires:	kf5crash-devel >= %{fw_version}
BuildRequires:	kf5dbusaddons-devel >= %{fw_version}
BuildRequires:	kf5i18n-devel >= %{fw_version}
BuildRequires:	kf5service-devel >= %{fw_version}
BuildRequires:	kf5windowsystem-devel >= %{fw_version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-keysyms)
BuildRequires:	pkgconfig(xcb-xtest)

%description
KDE Frameworks 5 global workspace shortcuts module.

KGlobalAccel allows you to have global accelerators that are independent of
the focused window. Unlike regular shortcuts, the application's window does
not need focus for them to be activated.

NOTE: Functional only with Plasma Workspaces.

%files
%{_kde5_bindir}/kglobalaccel5
%{_kde5_configdir}/kglobalaccel.categories
%{_kde5_services}/kglobalaccel5.desktop
%{_datadir}/dbus-1/services/org.kde.kglobalaccel.service
%{_qt5_plugindir}/org.kde.kglobalaccel5.platforms/KF5GlobalAccelPrivateXcb.so

#----------------------------------------------------------------------------

%package i18n
Summary:	KGlobalAccel translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KGlobalAccel translations.

%files i18n
#find_lang fails here
%{_localedir}/*/LC_MESSAGES/%{name}*.qm

#----------------------------------------------------------------------------

%define kf5globalaccel_major 5
%define libkf5globalaccel %mklibname kf5globalaccel %{kf5globalaccel_major}

%package -n %{libkf5globalaccel}
Summary:	KDE Frameworks 5 global workspace shortcuts shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5globalaccel}
KDE Frameworks 5 global workspace shortcuts shared library.

%files -n %{libkf5globalaccel}
%{_kde5_libdir}/libKF5GlobalAccel.so.%{kf5globalaccel_major}*

#----------------------------------------------------------------------------

%define kf5globalaccelprivate_major 5
%define libkf5globalaccelprivate %mklibname kf5globalaccelprivate %{kf5globalaccelprivate_major}

%package -n %{libkf5globalaccelprivate}
Summary:	KDE Frameworks 5 global workspace shortcuts shared library
Group:		System/Libraries

%description -n %{libkf5globalaccelprivate}
KDE Frameworks 5 global workspace shortcuts shared library.

%files -n %{libkf5globalaccelprivate}
%{_kde5_libdir}/libKF5GlobalAccelPrivate.so.%{kf5globalaccelprivate_major}*

#----------------------------------------------------------------------------

%define devkf5globalaccel %mklibname kf5globalaccel -d

%package -n %{devkf5globalaccel}
Summary:	Development files for KDE Frameworks 5 global workspace shortcuts
Group:		Development/KDE and Qt
Requires:	%{libkf5globalaccel} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5globalaccel-devel = %{version}
Conflicts:	%{name} < 5.7.0

%description -n %{devkf5globalaccel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5globalaccel}
%{_kde5_includedir}/KF5/KGlobalAccel
%{_kde5_includedir}/KF5/kglobalaccel_version.h
%{_kde5_libdir}/cmake/KF5GlobalAccel
%{_kde5_libdir}/libKF5GlobalAccel.so
%{_kde5_mkspecsdir}/*.pri
%{_datadir}/dbus-1/interfaces/*.xml

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

# Internal library, shouldn't be used by other packages
rm -rf %{buildroot}%{_kde5_libdir}/libKF5GlobalAccelPrivate.so

%changelog

* Tue Dec 12 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (6a2f031) Update files
- (Andrey Bondrov: 2ff0740) New version 5.41.0

* Thu Sep 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.1-1
- (a47ef69) New version 5.38.1

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (b945f25) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (3527f55) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (5922f97) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (49bf7dc) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (b7de0bf) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (d154f9c) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (2be9f2c) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (6c3ccb1) Build requires kf5service-devel
- (Andrey Bondrov: 662b7c7) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (a332899) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (a427439) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (261656f) MassBuild#1017: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (dbf6879) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (f18b584) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (089309b) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (433c1db) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (3860e7c) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (af7b64c) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (538337d) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (47afd29) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (06247d5) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (34937f0) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (93edf76) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (0fb8c3c) Drop soname patch (merged upstream)
- (Andrey Bondrov: c985e5f) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (b76f449) Add new library subpackage (private)
- (b76f449) Update files (add XCB runtime plugin)
- (b76f449) Update BuildRequires (add pkgconfig(xcb-xtest))
- (Andrey Bondrov: 4addde8) New version 5.11.0


